### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file/ecl-file-item/ecl-file-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file-item`
templateUrl | `./ecl-file-item.component.html`

### Index

###### Methods

- Public getDownloadFileName
- onItemClick
- getCssClasses

###### Inputs

- aria-label
- description
- downloadFileName
- eclTitle
- href
- isDescription
- label
- langDetail
- language
- meta
- class
- e2eAttr

###### Outputs

- itemDownload

###### HostBindings

- class

###### Accessors

- cssClasses
- isThumbnail

### Constructor

`constructor(eclFileComponent: EclFileComponent)`

Parameters :

Name | Type | Optional
eclFileComponent | `EclFileComponent` | No

### Inputs

aria-label
Type : `string`
Default value : `''`

description
Type : `string`

downloadFileName
Type : `string`

eclTitle
Type : `string`

href
Type : `string`
Default value : `''`

isDescription
Type : `boolean | any`
Default value : `false`

label
Type : `string`

langDetail
Type : `string`

language
Type : `string`

meta
Type : `string[] | any`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemDownload
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

Public getDownloadFileName
`getDownloadFileName()`
Returns : `string`

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

isThumbnail
get `isThumbnail()`

# results matching ""

# No results matching ""